routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/online-shop', function (){
    return view('Template/Home');
});


Route::group(['prefix'=>'/online-shop'], function(){

    Route::resource('/User','UserController');
    Route::resource('/Book','BookController');
    Route::resource('/Category','CategoryController');
    Route::resource('/StatusOrder','OrderController');

    Route::get('/User/search/email','UserController@search')->name('User.search');
    Route::get('/StatusOrder/search/invoice_number','OrderController@search')->name('StatusOrder.search');
    Route::get('/Book/search/title','BookController@search')->name('Book.search');
    Route::get('/Category/search/category_name','CategoryController@search')->name('Category.search');
});

resources/views/Template/Partials/_head.blade.php
<head>
    <meta charset="etf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=0">
    <meta name="description" content="">
    <meta name="author" content="">
    <meta name="csrf-token" content="{{csrf_token() }}">
    <title>@yield('title')</title>

    <link rel="stylesheet" href="{{asset('css/app.css')}}">
    <link rel="stylesheet" href="{{asset('css/dashboard.css')}}">
    @yield('css')
</head>

resources/views/Template/Partials/_script.blade.php
<script src="{{asset('js/app.js')}}"></script>
    <script src="{{asset('js/feather.min.js')}}"></script>
        <script>
            feather.replace()
        </script>
    @yield('js')

resources/views/Template/Partials/_sideNav.blade.php
<nav class="col-md-2 d-none d-md-block bg-light sidebar">
    <div class="sidebar-sticky">
        <ul class="nav flex-column">
            <li class="nav-item">
                <a class="nav-link active" href="{{route('User.index')}}">
                    <span data-feather="users"></span>
                    User
                </a>
            </li>
        </ul>

        <ul class="nav flex-column">
            <li class="nav-item">
                <a class="nav-link active" href="{{route('StatusOrder.index')}}">
                    <span data-feather="list"></span>
                    StatusOrder
                </a>
            </li>
        </ul>

        <ul class="nav flex-column">
            <li class="nav-item">
                <a class="nav-link active" href="{{route('Book.index')}}">
                    <span data-feather="book"></span>
                    Book
                </a>
            </li>
        </ul>

        <ul class="nav flex-column">
            <li class="nav-item">
                <a class="nav-link active" href="{{route('Category.index')}}">
                    <span data-feather="shopping-cart"></span>
                    Category
                </a>
            </li>
        </ul>
    </div>
</nav>

resources/views/Template/Partials/_topNav.blade.php
<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark flex-md-nowrap p-0 shadow">
    <a class="navbar-brand" href="#">Online-Shop</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
        aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarsExampleDefault">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item">
                    <a class="nav-link" href="{{route('User.index') }}">User</a>
                </li>

                <li class="nav-item">
                    <a class="nav-link" href="{{route('StatusOrder.index')}}">StatusOrder</a>
                </li>

                <li class="nav-item">
                    <a class="nav-link" href="{{route('Book.index')}}">Book</a>
                </li>

                <li class="nav-item">
                    <a class="nav-link" href="{{route('Category.index')}}">Category</a>
                </li>
            </ul>

            <form class="form-inline my-2 my-lg-0">
                <input type="text" placeholder="Search" aria-label="Search" class="form-control mr-sm-2">
                    <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
            </form>

            <ul class="navbar-nav px-3">
                <li class="nav item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="dropdown01" data-toggle="dropdown" aria-haspopup="true"
                    aria-expanded="false">Username</a>

                    <div class="dropdown-menu" aria-labelledby="dropdown01">
                        <a href="#" class="dropdown">Logout</a>
                    </div>
                </li>
            </ul>
        </div>
</nav>